Bug 96414 - Remove feature to show Navigator during slideshow
Summary: Remove feature to show Navigator during slideshow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Bryan Quigley
URL:
Whiteboard: target:5.2.0
Keywords: difficultyInteresting, easyHack, skillCpp, topicCleanup
Depends on:
Blocks: Navigator Slide-Show
  Show dependency treegraph
 
Reported: 2015-12-11 14:20 UTC by Samuel Mehrbrodt (CIB)
Modified: 2016-10-31 20:52 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2015-12-11 14:20:33 UTC
In Impress, Slide Show->Slide Show Settings there is an option "Navigator visible". We decided in the Design Team to remove this feature as there is no obvious use case for that. To switch between slides during the presentation, there is the presenter console.

So, the task is to remove that option and the functionality. Some code pointers:
* sd/uiconfig/simpress/ui/presentationdialog.ui, sd/source/ui/dlg/present.cxx: Option to enable it is here

Then remove the code. Search for SID_NAVIGATOR in slideshow and mbStartWithNavigator in sd:
http://opengrok.libreoffice.org/search?q=SID_NAVIGATOR&project=core&defs=&refs=&path=slideshow&hist=
http://opengrok.libreoffice.org/search?q=mbStartWithNavigator&project=core&defs=&refs=&path=sd&hist=
Comment 1 Jean-Baptiste Faure 2016-01-29 05:34:33 UTC
Did you ask on users mailing list if someone is using this feature? I never need it but it is not a proof that it is useless.
Not everybody uses the presenter console for slideshow. If you use Impress as an interactive tool, for example using the pen to write on a slide, it may be better to have the same thing on both screens. In such case, how do you do to navigate between slides, without switching between edit and slideshow modes?

Best regards. JBF
Comment 2 Samuel Mehrbrodt (CIB) 2016-01-29 07:18:51 UTC
(In reply to Jean-Baptiste Faure from comment #1)
> Did you ask on users mailing list if someone is using this feature? I never
> need it but it is not a proof that it is useless.

This feature has been broken since ages. I didn't find any bug report for this. Also the ESC rubber-stamped this afair.
Comment 3 Jean-Baptiste Faure 2016-01-29 10:35:01 UTC
(In reply to Samuel Mehrbrodt from comment #2)
> (In reply to Jean-Baptiste Faure from comment #1)
> > Did you ask on users mailing list if someone is using this feature? I never
> > need it but it is not a proof that it is useless.
> 
> This feature has been broken since ages. I didn't find any bug report for
> this. Also the ESC rubber-stamped this afair.

Indeed, if the function does not work and nobody complains, it is a clue that nobody uses it.

Does this removing will concern the slides list available from the right-click menu in slideshow mode?

Best regards. JBF
Comment 4 Samuel Mehrbrodt (CIB) 2016-01-29 10:40:55 UTC
(In reply to Jean-Baptiste Faure from comment #3)
> Does this removing will concern the slides list available from the
> right-click menu in slideshow mode?

That part should be retained.
Comment 5 Christian Lohmaier 2016-01-29 11:21:12 UTC
(In reply to Samuel Mehrbrodt from comment #2)
> This feature has been broken since ages. I didn't find any bug report for
> this. Also the ESC rubber-stamped this afair.

ESC agreed not because it is broken (it is not, just the keyboard shortcut did change), but because it doesn't provide any additional benefit compared to using the contextmenu. On the contrary you can trigger the contextmenu with a pointing device, while you  can launch the  navigator  only with keyboard shortcut.

contextmenu is more discoverable and provides access to all (and more) that the navigator could do.
Comment 6 Bryan Quigley 2016-02-02 19:55:12 UTC
(In reply to Samuel Mehrbrodt from comment #4)
> (In reply to Jean-Baptiste Faure from comment #3)
> > Does this removing will concern the slides list available from the
> > right-click menu in slideshow mode?
> 
> That part should be retained.

It is retained in the code I just posted - https://gerrit.libreoffice.org/#/c/22062/

One thing I did notice (but it's in stable too). Is that the Navigator Pen doesn't work.  Should that just be removed too?
Comment 7 Jean-Baptiste Faure 2016-02-02 21:27:11 UTC
(In reply to Bryan Quigley from comment #6)
> [...]
> One thing I did notice (but it's in stable too). Is that the Navigator Pen
> doesn't work.  Should that just be removed too?

What do you mean by "Navigator Pen"? The "Mouse pointer as pen" in the slideshow settings? It allows to write/draw on the slide during slideshow and it works as expected.

Best regards. JBF
Comment 8 Bryan Quigley 2016-02-02 21:30:59 UTC
(In reply to Jean-Baptiste Faure from comment #7)
> (In reply to Bryan Quigley from comment #6)
> > [...]
> > One thing I did notice (but it's in stable too). Is that the Navigator Pen
> > doesn't work.  Should that just be removed too?
> 
> What do you mean by "Navigator Pen"? The "Mouse pointer as pen" in the
> slideshow settings? It allows to write/draw on the slide during slideshow
> and it works as expected.
> 
> Best regards. JBF

If you open the Navigator (not in SlideShow mode) the first button in it is "Pointer".  I haven't been able to figure out what it should do or in what case it's enabled.
Comment 9 Jean-Baptiste Faure 2016-02-02 21:47:34 UTC
(In reply to Bryan Quigley from comment #8)
> (In reply to Jean-Baptiste Faure from comment #7)
> > (In reply to Bryan Quigley from comment #6)
> > > [...]
> > > One thing I did notice (but it's in stable too). Is that the Navigator Pen
> > > doesn't work.  Should that just be removed too?
> > 
> > What do you mean by "Navigator Pen"? The "Mouse pointer as pen" in the
> > slideshow settings? It allows to write/draw on the slide during slideshow
> > and it works as expected.
> > 
> > Best regards. JBF
> 
> If you open the Navigator (not in SlideShow mode) the first button in it is
> "Pointer".  I haven't been able to figure out what it should do or in what
> case it's enabled.

It seems it is another mean to activate the mouse pointer as pen. Indeed if you check the corresponding checkbox in the slideshow settings, then the button in the navigator become pressed or activated (not clear for me). To see that you should check the checkbox, launch the slideshow and exit it, then the button state has changed.

Best regards. JBF
Comment 10 Samuel Mehrbrodt (CIB) 2016-02-03 07:29:59 UTC
(In reply to Bryan Quigley from comment #6)
> One thing I did notice (but it's in stable too). Is that the Navigator Pen
> doesn't work.  Should that just be removed too?

Hm it seems that button is useless, I think you can remove it (but in a separete patch, so that it's revertable in case somebody misses it).
Comment 11 Commit Notification 2016-02-03 13:28:15 UTC
Bryan Quigley committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2503a1e99df463aef1bf87c94b7b4a8ee3554efe

tdf#96414 Remove showing navigator during slideshow

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Roland Taylor 2016-02-05 18:57:55 UTC
I understand the motivation for doing this, but if the navigator is no longer an option, then PLEASE modify the presenter console so it can be minimized or made into a non-fullscreen window.

I don't know if anyone else has this issue, but for me I have to record sermons (example use case) while also controlling the presentation, and sometimes also have to write things down or perform other tasks, and alt+tabbing around can get cumbersome - when it would be just easier to click the taskbar or dock.

The only way to get normal window switching behaviour (without using alt+tab - which can lead to some unwanted behaviour depending on your desktop environment or if you accidentally stop at the wrong window) - is to disable the presenter console and use the navigator.

There is already an open bug about minimizing the presenter console, which, quite interestingly, just generated discussion, but no action.
Comment 13 Bryan Quigley 2016-02-05 19:13:57 UTC
(In reply to Roland Taylor from comment #12)
> I understand the motivation for doing this, but if the navigator is no
> longer an option, then PLEASE modify the presenter console so it can be
> minimized or made into a non-fullscreen window.
> 
> I don't know if anyone else has this issue, but for me I have to record
> sermons (example use case) while also controlling the presentation, and
> sometimes also have to write things down or perform other tasks, and
> alt+tabbing around can get cumbersome - when it would be just easier to
> click the taskbar or dock.
> 
> The only way to get normal window switching behaviour (without using alt+tab
> - which can lead to some unwanted behaviour depending on your desktop
> environment or if you accidentally stop at the wrong window) - is to disable
> the presenter console and use the navigator.
> 
> There is already an open bug about minimizing the presenter console, which,
> quite interestingly, just generated discussion, but no action.

Not sure I fully understand your use case.  Have you tried the right click context menu during a slideshow?
Comment 14 Samuel Mehrbrodt (CIB) 2016-02-07 15:01:41 UTC
One solution might be to support slide switching via the left slide list. That would be an option for users who can't use the presenter console. Using the context menu is not an option since it would be visible to the audience.
Comment 15 pierre-yves samyn 2016-02-11 10:55:50 UTC
Hi

Display Navigator during slideshow answer a common question from users: the permanent display of the summary for the presentation.

See https://wiki.documentfoundation.org/Faq/Impress/107

Regards
Pierre-Yves
Comment 16 Robinson Tryon (qubit) 2016-02-18 16:37:32 UTC Comment hidden (obsolete)
Comment 17 Yousuf Philips (jay) 2016-04-09 00:23:22 UTC
I saw this feature in an impress video tutorial and i could imagine that some may prefer to use it over the context menu to jump to particular slides during slide show.

https://www.youtube.com/watch?v=zj2cm239TEg?t=8m

@Samuel: Which design meeting was this held at?
Comment 18 Samuel Mehrbrodt (CIB) 2016-04-09 09:40:18 UTC
(In reply to Yousuf (Jay) Philips from comment #17)
> I saw this feature in an impress video tutorial and i could imagine that
> some may prefer to use it over the context menu to jump to particular slides
> during slide show.
> 
> https://www.youtube.com/watch?v=zj2cm239TEg?t=8m
> 
> @Samuel: Which design meeting was this held at?

I didn't find the minutes, but that feature actually never worked.

But still, maybe we can re-add the feature to use the navigator to switch slides during presentation (maybe it still works?).
Comment 19 Yousuf Philips (jay) 2016-04-09 12:10:22 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #18)
> But still, maybe we can re-add the feature to use the navigator to switch
> slides during presentation (maybe it still works?).

The feature does work, but its limited to working to only working in window mode of the sideshow, so a user can use the navigator in the sidebar to do this navigation, so the checkbox in the slide show settings is useless. :D

(In reply to Bryan Quigley from comment #8)
> If you open the Navigator (not in SlideShow mode) the first button in it is
> "Pointer".  I haven't been able to figure out what it should do or in what
> case it's enabled.

This pointer has usefulness for those using the navigator in windowed slide show mode, so it should be brought back. For some reason, it was previously disabled in the sidebar navigator and enabled in the window navigator, so can you please enabled it in the sidebar, and as its usage is limited to only slide show mode, it can be moved to the end of the toolbar.
Comment 20 Bryan Quigley 2016-04-11 02:07:02 UTC
>windowed slide show mode

With a quick search I couldn't find that.. What is it?
Comment 21 Yousuf Philips (jay) 2016-04-11 09:08:19 UTC
(In reply to Bryan Quigley from comment #20)
> With a quick search I couldn't find that.. What is it?

Slide Show > Slide Show Settings > Presentation Mode > In a window.
Comment 22 pierre-yves samyn 2016-04-22 09:59:31 UTC
Hi

(In reply to Yousuf (Jay) Philips from comment #19)
> (In reply to Samuel Mehrbrodt (CIB) from comment #18)
> > But still, maybe we can re-add the feature to use the navigator to switch
> > slides during presentation (maybe it still works?).

Yes please or give another way to get the permanent display of the summary for the presentation (FAQ see comment 15).

> The feature does work, but its limited to working to only working in window
> mode of the sideshow

No, it works (windows & Version: 5.1.2.2) in Default mode, even with "Slide Show> Slide Show Settings> Navigator visible" unchecked: start show then Ctrl+Shift+F5

Regards
Pierre-Yves
Comment 23 Bryan Quigley 2016-05-04 19:36:57 UTC
I'm thinking this use case might be solved by making the Presenter Console able to be displayed on a single screen.

The first step for that is to make the console window-able itself:
https://bugs.documentfoundation.org/show_bug.cgi?id=33495